0

Understand from: https://www.enterprisedb.com/edb-docs/d/edb-postgres-advanced-server/user-guides/user-guide/11/EDB_Postgres_Advanced_Server_Guide.1.80.html

that PL/Java is deprecated in Advanced Server 11 and will be unavailable in server versions 12 or later.

May I know:

  1. What is the recommended replacement for PL/Java in PostgreSQL12?
  2. For my existing UDF in PostgreSQL 9.6.x, etc., which is using the PL/Java, how could I move over to PostgreSQL 12?

If PostgreSQL is not going to have support for PL/Java in the future, please advise too.

3
  • 1
    You are looking at the documentation for a commercial Postgres distribution, while referring to Postgres in the question; which one is it? While EDB may discontinute support for Java, you can always grab the extension yourself.
    – mustaccio
    Jul 7, 2021 at 16:56
  • Hi, and welcome to dba.se! You could look here...
    – Vérace
    Jul 7, 2021 at 18:11
  • Thanks for the reply. I have the jar and DLL for a 9.6.x PostgreSQL, which failed to work when running the installation SQL of the PL/Java on PostgreSQL12. I was also not able to find any later version of PL/Java for PostgreSQL12 on windows machine (even from ur link), and with the notice that I saw, I could only conclude that it is no longer available from PostgreSQL 11 and 12 onwards. Is my understanding wrong?
    – Jacky
    Jul 8, 2021 at 17:20

0

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.